import React from 'react';
import { CodeSnippet } from '@backstage/core-components';
import Typography from '@material-ui/core/Typography';
import { a as apiDocsConfigRef } from './ApiDefinitionWidget-798ee85f.esm.js';
import { useApi } from '@backstage/core-plugin-api';

const PlainApiDefinitionWidget = (props) => {
  return /* @__PURE__ */ React.createElement(
    CodeSnippet,
    {
      text: props.definition,
      language: props.language,
      showCopyCodeButton: true
    }
  );
};

const ApiTypeTitle = (props) => {
  const { apiEntity } = props;
  const config = useApi(apiDocsConfigRef);
  const definition = config.getApiDefinitionWidget(apiEntity);
  const type = definition ? definition.title : apiEntity.spec.type;
  return /* @__PURE__ */ React.createElement(Typography, { component: "span" }, type);
};

export { ApiTypeTitle as A, PlainApiDefinitionWidget as P };
//# sourceMappingURL=ApiTypeTitle-cc79a2f3.esm.js.map
